Bug 1564916 - Missing ability to filter out input runes
Summary: Missing ability to filter out input runes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-gopkg-readline
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-08 22:48 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2018-05-05 20:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-05 20:26:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2018-04-08 22:48:16 UTC
Description of problem:
The packaged 1.4 release is missing some features present in upstream master branch. In particular, the ability to filter out input runes which was committed in https://github.com/chzyer/readline/commit/f892600c35265c3b2d0c79322107239c1ec9479b . Please backport this as one of my upcoming packages requires this feature.

Version-Release number of selected component (if applicable):
golang-gopkg-readline-1-devel-1.4-3.fc29.noarch
compat-golang-github-chzyer-readline-devel-1.4-3.fc29.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Try building jfrog-cli-1.14.0

Actual results:
jfrog-client/utils/prompt/prompt.go:270:22: unknown field 'FuncFilterInputRune' in struct literal of type readline.Config

Expected results:
Successful compilation.

Comment 1 Fedora Update System 2018-04-08 23:52:25 UTC
golang-gopkg-readline-1-1.4-4.20180408gitf6d7a1f.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bb7c090161

Comment 2 Fedora Update System 2018-04-09 21:54:13 UTC
golang-gopkg-readline-1-1.4-4.20180408gitf6d7a1f.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bb7c090161

Comment 3 Fedora Update System 2018-05-05 20:26:09 UTC
golang-gopkg-readline-1-1.4-4.20180408gitf6d7a1f.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.